from . import Loader

class OneQBitLoader(Loader):
    dataset = '1QBIT'
    fileglob = '1QBit_*.csv'

    columns = ['TRADEDATE', 'DATA_SOURCE', 'EODDESC', 'CHART_TITLE', 
               'YYYY', 'MM', 'DD', 'DATECODE_EXCEL', 'DATE_LABEL', 'F_PROD_CODE', 'O_PROD_CODE', 
               'PRICE_SETTLE_ACTIVE', 'PRICE_HIGH_ACTIVE', 'PRICE_LOW_ACTIVE', 'YYYY_ACTIVE', 'MM_ACTIVE', 'F_VOLUME_ACTIVE', 
               'PRICE_SETTLE_NEXT', 'PRICE_HIGH_NEXT', 'PRICE_LOW_NEXT', 'YYYY_NEXT', 'MM_NEXT', 'F_VOLUME_NEXT', 
               'F_VOLUME', 'IMPLIED_VOL', 'PUT_VOLUME', 'CALL_VOLUME', 'OPTIONS_VOLUME', 'PUT_OI', 'CALL_OI', 'O_OI', 
               'CURRENT_PRICE_MOST_ACTIVE', 'PREVIOUS_PRICE_MOST_ACTIVE', 'PRICE_PCT_CHG', 'EXCESS_RETURN_INDEX',
               'IMPLIED_VOL_ST', 'IMPLIED_VOL_LT', 'DAILY_VARIANCE', 'HISTORICAL_STD_ST', 'HISTORICAL_STD_LT', 'RATIO_STD_ST_LT', 
               'RATIO_STD_ST_TO_IMPLIED_VOL_CURRENT', 'RATIO_HIGH_LOW_PCT', 'HIGH_LOW_PCT_ST', 'HIGH_LOW_PCT_LT', 
               'RATIO_HIGH_LOW_ST_LT', 'PUT_VOLUME_ST', 'PUT_VOLUME_LT', 'RATIO_PUT_VOLUME_ST_LT', 'CALL_VOLUME_ST', 
               'CALL_VOLUME_LT', 'RATIO_CALL_VOLUME_ST_LT', 'RATIO_PUT_CALL_VOLUME_ST', 'RATIO_PUT_CALL_VOLUME_LT', 
               'PCT_DIF_PUT_CALL_ST_LT_RATIO', 'MOMENTUM_ST', 'MOMENTUM_LT', 'RATIO_MOMENTUM_ST_LT', 'RATIO_MOMENTUM_TO_STD_ST', 
               'RATIO_MOMENTUM_TO_STD_LT', 'PRICE_20D_MA', 'PRICE_60D_MA', 'PRICE_200D_MA', 'PCT_DIF_CURRENT_200D_PRICE', 
               'PCT_DIF_20D_200D_PRICE', 'PEAK_PRICE', 'PEAK_200D_PRICE', '20PCT_BELOW_PEAK_200D', '20PCT_ABOVE_60DMA', 
               '20PCT_BELOW_60DMA', 'MIX_PROB_20PCT_ABOVE_60DMA', 
               'MIX_PROB_20PCT_BELOW_60DMA', 'MIX_MEAN', 'MIX_MEDIAN', 'MIX_MODE_1', 'MIX_MODE_2', 
               'MIX_STD', 'MIX_STD_LT', 'MIX_SKEW', 'MIX_KURTOSIS', 'MIX_STATE', 'MIX_COMPLACENT', 'MIX_BALANCED', 'MIX_ANXIOUS', 
               'MIX_CONFLICTED', 'MIX_MODALITY', 'MIX_DISTANCE', 'MIX_INTENSITY', 'MIX_LOW_BIN', 'MIX_BIN_SIZE', 'MIX_BINS', 
               'MIX_BIN_NEG_100', 'MIX_BIN_NEG_99', 'MIX_BIN_NEG_98', 'MIX_BIN_NEG_97', 'MIX_BIN_NEG_96', 'MIX_BIN_NEG_95', 
               'MIX_BIN_NEG_94', 'MIX_BIN_NEG_93', 'MIX_BIN_NEG_92', 'MIX_BIN_NEG_91', 'MIX_BIN_NEG_90', 'MIX_BIN_NEG_89', 
               'MIX_BIN_NEG_88', 'MIX_BIN_NEG_87', 'MIX_BIN_NEG_86', 'MIX_BIN_NEG_85', 'MIX_BIN_NEG_84', 'MIX_BIN_NEG_83', 
               'MIX_BIN_NEG_82', 'MIX_BIN_NEG_81', 'MIX_BIN_NEG_80', 'MIX_BIN_NEG_79', 'MIX_BIN_NEG_78', 'MIX_BIN_NEG_77', 
               'MIX_BIN_NEG_76', 'MIX_BIN_NEG_75', 'MIX_BIN_NEG_74', 'MIX_BIN_NEG_73', 'MIX_BIN_NEG_72', 'MIX_BIN_NEG_71', 
               'MIX_BIN_NEG_70', 'MIX_BIN_NEG_69', 'MIX_BIN_NEG_68', 'MIX_BIN_NEG_67', 'MIX_BIN_NEG_66', 'MIX_BIN_NEG_65', 
               'MIX_BIN_NEG_64', 'MIX_BIN_NEG_63', 'MIX_BIN_NEG_62', 'MIX_BIN_NEG_61', 'MIX_BIN_NEG_60', 'MIX_BIN_NEG_59', 
               'MIX_BIN_NEG_58', 'MIX_BIN_NEG_57', 'MIX_BIN_NEG_56', 'MIX_BIN_NEG_55', 'MIX_BIN_NEG_54', 'MIX_BIN_NEG_53', 
               'MIX_BIN_NEG_52', 'MIX_BIN_NEG_51', 'MIX_BIN_NEG_50', 'MIX_BIN_NEG_49', 'MIX_BIN_NEG_48', 'MIX_BIN_NEG_47', 
               'MIX_BIN_NEG_46', 'MIX_BIN_NEG_45', 'MIX_BIN_NEG_44', 'MIX_BIN_NEG_43', 'MIX_BIN_NEG_42', 'MIX_BIN_NEG_41',
               'MIX_BIN_NEG_40', 'MIX_BIN_NEG_39', 'MIX_BIN_NEG_38', 'MIX_BIN_NEG_37', 'MIX_BIN_NEG_36', 'MIX_BIN_NEG_35',
               'MIX_BIN_NEG_34', 'MIX_BIN_NEG_33', 'MIX_BIN_NEG_32', 'MIX_BIN_NEG_31', 'MIX_BIN_NEG_30', 'MIX_BIN_NEG_29',
               'MIX_BIN_NEG_28', 'MIX_BIN_NEG_27', 'MIX_BIN_NEG_26', 'MIX_BIN_NEG_25', 'MIX_BIN_NEG_24', 'MIX_BIN_NEG_23',
               'MIX_BIN_NEG_22', 'MIX_BIN_NEG_21', 'MIX_BIN_NEG_20', 'MIX_BIN_NEG_19', 'MIX_BIN_NEG_18', 'MIX_BIN_NEG_17',
               'MIX_BIN_NEG_16', 'MIX_BIN_NEG_15', 'MIX_BIN_NEG_14', 'MIX_BIN_NEG_13', 'MIX_BIN_NEG_12', 'MIX_BIN_NEG_11', 
               'MIX_BIN_NEG_10', 'MIX_BIN_NEG_09', 'MIX_BIN_NEG_08', 'MIX_BIN_NEG_07', 'MIX_BIN_NEG_06', 'MIX_BIN_NEG_05',
               'MIX_BIN_NEG_04', 'MIX_BIN_NEG_03', 'MIX_BIN_NEG_02', 'MIX_BIN_NEG_01', 'MIX_BIN_POS_00', 'MIX_BIN_POS_01',
               'MIX_BIN_POS_02', 'MIX_BIN_POS_03', 'MIX_BIN_POS_04', 'MIX_BIN_POS_05', 'MIX_BIN_POS_06', 'MIX_BIN_POS_07',
               'MIX_BIN_POS_08', 'MIX_BIN_POS_09', 'MIX_BIN_POS_10', 'MIX_BIN_POS_11', 'MIX_BIN_POS_12', 'MIX_BIN_POS_13',
               'MIX_BIN_POS_14', 'MIX_BIN_POS_15', 'MIX_BIN_POS_16', 'MIX_BIN_POS_17', 'MIX_BIN_POS_18', 'MIX_BIN_POS_19',
               'MIX_BIN_POS_20', 'MIX_BIN_POS_21', 'MIX_BIN_POS_22', 'MIX_BIN_POS_23', 'MIX_BIN_POS_24', 'MIX_BIN_POS_25',
               'MIX_BIN_POS_26', 'MIX_BIN_POS_27', 'MIX_BIN_POS_28', 'MIX_BIN_POS_29', 'MIX_BIN_POS_30', 'MIX_BIN_POS_31',
               'MIX_BIN_POS_32', 'MIX_BIN_POS_33', 'MIX_BIN_POS_34', 'MIX_BIN_POS_35', 'MIX_BIN_POS_36', 'MIX_BIN_POS_37',
               'MIX_BIN_POS_38', 'MIX_BIN_POS_39', 'MIX_BIN_POS_40', 'MIX_BIN_POS_41', 'MIX_BIN_POS_42', 'MIX_BIN_POS_43',
               'MIX_BIN_POS_44', 'MIX_BIN_POS_45', 'MIX_BIN_POS_46', 'MIX_BIN_POS_47', 'MIX_BIN_POS_48', 'MIX_BIN_POS_49',
               'MIX_BIN_POS_50', 'MIX_BIN_POS_51', 'MIX_BIN_POS_52', 'MIX_BIN_POS_53', 'MIX_BIN_POS_54', 'MIX_BIN_POS_55',
               'MIX_BIN_POS_56', 'MIX_BIN_POS_57', 'MIX_BIN_POS_58', 'MIX_BIN_POS_59', 'MIX_BIN_POS_60', 'MIX_BIN_POS_61',
               'MIX_BIN_POS_62', 'MIX_BIN_POS_63', 'MIX_BIN_POS_64', 'MIX_BIN_POS_65', 'MIX_BIN_POS_66', 'MIX_BIN_POS_67',
               'MIX_BIN_POS_68', 'MIX_BIN_POS_69', 'MIX_BIN_POS_70', 'MIX_BIN_POS_71', 'MIX_BIN_POS_72', 'MIX_BIN_POS_73',
               'MIX_BIN_POS_74', 'MIX_BIN_POS_75', 'MIX_BIN_POS_76', 'MIX_BIN_POS_77', 'MIX_BIN_POS_78', 'MIX_BIN_POS_79',
               'MIX_BIN_POS_80', 'MIX_BIN_POS_81', 'MIX_BIN_POS_82', 'MIX_BIN_POS_83', 'MIX_BIN_POS_84', 'MIX_BIN_POS_85',
               'MIX_BIN_POS_86', 'MIX_BIN_POS_87', 'MIX_BIN_POS_88', 'MIX_BIN_POS_89', 'MIX_BIN_POS_90', 'MIX_BIN_POS_91',
               'MIX_BIN_POS_92', 'MIX_BIN_POS_93', 'MIX_BIN_POS_94', 'MIX_BIN_POS_95', 'MIX_BIN_POS_96', 'MIX_BIN_POS_97',
               'MIX_BIN_POS_98', 'MIX_BIN_POS_99', 'MIX_BIN_POS_100', 'MIX_BIN_POS_101', 'MIX_BIN_POS_102', 'MIX_BIN_POS_103',
               'MIX_BIN_POS_104', 'MIX_BIN_POS_105', 'MIX_BIN_POS_106', 'MIX_BIN_POS_107', 'MIX_BIN_POS_108', 'MIX_BIN_POS_109',
               'MIX_BIN_POS_110', 'MIX_BIN_POS_111', 'MIX_BIN_POS_112', 'MIX_BIN_POS_113', 'MIX_BIN_POS_114', 'MIX_BIN_POS_115',
               'MIX_BIN_POS_116', 'MIX_BIN_POS_117', 'MIX_BIN_POS_118', 'MIX_BIN_POS_119', 'MIX_BIN_POS_120', 'MIX_BIN_POS_121',
               'MIX_BIN_POS_122', 'MIX_BIN_POS_123', 'MIX_BIN_POS_124', 'MIX_BIN_POS_125', 'MIX_BIN_POS_126', 'MIX_BIN_POS_127',
               'MIX_BIN_POS_128', 'MIX_BIN_POS_129', 'MIX_BIN_POS_130', 'MIX_BIN_POS_131', 'MIX_BIN_POS_132', 'MIX_BIN_POS_133',
               'MIX_BIN_POS_134', 'MIX_BIN_POS_135', 'MIX_BIN_POS_136', 'MIX_BIN_POS_137', 'MIX_BIN_POS_138', 'MIX_BIN_POS_139',
               'MIX_BIN_POS_140', 'MIX_BIN_POS_141', 'MIX_BIN_POS_142', 'MIX_BIN_POS_143', 'MIX_BIN_POS_144', 'MIX_BIN_POS_145', 
               'MIX_BIN_POS_146', 'MIX_BIN_POS_147', 'MIX_BIN_POS_148', 'MIX_BIN_POS_149', 'MIX_BIN_POS_150', 'MIX_BIN_POS_151', 
               'MIX_BIN_POS_152', 'MIX_BIN_POS_153', 'MIX_BIN_POS_154', 'MIX_BIN_POS_155']

    dtypes = {'category': ('DATA_SOURCE', 'EODDESC', 'CHART_TITLE', 'F_PROD_CODE', 'O_PROD_CODE','MIX_STATE','MIX_MODALITY'),
              'int64': ('YYYY', 'MM', 'DD', 'YYYY_ACTIVE', 'MM_ACTIVE', 'F_VOLUME_ACTIVE', 
                        'YYYY_NEXT', 'MM_NEXT', 'F_VOLUME_NEXT', 'F_VOLUME', 'PUT_VOLUME', 'CALL_VOLUME', 
                        'OPTIONS_VOLUME', 'PUT_OI', 'CALL_OI','O_OI',
                        'MIX_COMPLACENT', 'MIX_BALANCED', 'MIX_ANXIOUS', 'MIX_CONFLICTED','MIX_DISTANCE'),

              'float': ('DATECODE_EXCEL','CURRENT_PRICE_MOST_ACTIVE', 'PREVIOUS_PRICE_MOST_ACTIVE', 'PRICE_PCT_CHG', 'EXCESS_RETURN_INDEX',
                        'IMPLIED_VOL_ST', 'IMPLIED_VOL_LT', 'DAILY_VARIANCE', 'HISTORICAL_STD_ST', 'HISTORICAL_STD_LT', 'RATIO_STD_ST_LT', 
               'RATIO_STD_ST_TO_IMPLIED_VOL_CURRENT', 'RATIO_HIGH_LOW_PCT', 'HIGH_LOW_PCT_ST', 'HIGH_LOW_PCT_LT', 
               'RATIO_HIGH_LOW_ST_LT', 'PUT_VOLUME_ST', 'PUT_VOLUME_LT', 'RATIO_PUT_VOLUME_ST_LT', 'CALL_VOLUME_ST', 
               'CALL_VOLUME_LT', 'RATIO_CALL_VOLUME_ST_LT', 'RATIO_PUT_CALL_VOLUME_ST', 'RATIO_PUT_CALL_VOLUME_LT', 
               'PCT_DIF_PUT_CALL_ST_LT_RATIO', 'MOMENTUM_ST', 'MOMENTUM_LT', 'RATIO_MOMENTUM_ST_LT', 'RATIO_MOMENTUM_TO_STD_ST', 
               'RATIO_MOMENTUM_TO_STD_LT', 'PRICE_20D_MA', 'PRICE_60D_MA', 'PRICE_200D_MA', 'PCT_DIF_CURRENT_200D_PRICE', 
               'PCT_DIF_20D_200D_PRICE', 'PEAK_PRICE', 'PEAK_200D_PRICE', '20PCT_BELOW_PEAK_200D', '20PCT_ABOVE_60DMA', 
               '20PCT_BELOW_60DMA', 'MIX_PROB_20PCT_ABOVE_60DMA', 
               'MIX_PROB_20PCT_BELOW_60DMA', 'MIX_MEAN', 'MIX_MEDIAN', 'MIX_MODE_1', 'MIX_MODE_2', 
               'MIX_STD', 'MIX_STD_LT', 'MIX_SKEW', 'MIX_KURTOSIS','MIX_INTENSITY', 'MIX_LOW_BIN', 'MIX_BIN_SIZE', 'MIX_BINS', 
               'MIX_BIN_NEG_100', 'MIX_BIN_NEG_99', 'MIX_BIN_NEG_98', 'MIX_BIN_NEG_97', 'MIX_BIN_NEG_96', 'MIX_BIN_NEG_95', 
               'MIX_BIN_NEG_94', 'MIX_BIN_NEG_93', 'MIX_BIN_NEG_92', 'MIX_BIN_NEG_91', 'MIX_BIN_NEG_90', 'MIX_BIN_NEG_89', 
               'MIX_BIN_NEG_88', 'MIX_BIN_NEG_87', 'MIX_BIN_NEG_86', 'MIX_BIN_NEG_85', 'MIX_BIN_NEG_84', 'MIX_BIN_NEG_83', 
               'MIX_BIN_NEG_82', 'MIX_BIN_NEG_81', 'MIX_BIN_NEG_80', 'MIX_BIN_NEG_79', 'MIX_BIN_NEG_78', 'MIX_BIN_NEG_77', 
               'MIX_BIN_NEG_76', 'MIX_BIN_NEG_75', 'MIX_BIN_NEG_74', 'MIX_BIN_NEG_73', 'MIX_BIN_NEG_72', 'MIX_BIN_NEG_71', 
               'MIX_BIN_NEG_70', 'MIX_BIN_NEG_69', 'MIX_BIN_NEG_68', 'MIX_BIN_NEG_67', 'MIX_BIN_NEG_66', 'MIX_BIN_NEG_65', 
               'MIX_BIN_NEG_64', 'MIX_BIN_NEG_63', 'MIX_BIN_NEG_62', 'MIX_BIN_NEG_61', 'MIX_BIN_NEG_60', 'MIX_BIN_NEG_59', 
               'MIX_BIN_NEG_58', 'MIX_BIN_NEG_57', 'MIX_BIN_NEG_56', 'MIX_BIN_NEG_55', 'MIX_BIN_NEG_54', 'MIX_BIN_NEG_53', 
               'MIX_BIN_NEG_52', 'MIX_BIN_NEG_51', 'MIX_BIN_NEG_50', 'MIX_BIN_NEG_49', 'MIX_BIN_NEG_48', 'MIX_BIN_NEG_47', 
               'MIX_BIN_NEG_46', 'MIX_BIN_NEG_45', 'MIX_BIN_NEG_44', 'MIX_BIN_NEG_43', 'MIX_BIN_NEG_42', 'MIX_BIN_NEG_41',
               'MIX_BIN_NEG_40', 'MIX_BIN_NEG_39', 'MIX_BIN_NEG_38', 'MIX_BIN_NEG_37', 'MIX_BIN_NEG_36', 'MIX_BIN_NEG_35',
               'MIX_BIN_NEG_34', 'MIX_BIN_NEG_33', 'MIX_BIN_NEG_32', 'MIX_BIN_NEG_31', 'MIX_BIN_NEG_30', 'MIX_BIN_NEG_29',
               'MIX_BIN_NEG_28', 'MIX_BIN_NEG_27', 'MIX_BIN_NEG_26', 'MIX_BIN_NEG_25', 'MIX_BIN_NEG_24', 'MIX_BIN_NEG_23',
               'MIX_BIN_NEG_22', 'MIX_BIN_NEG_21', 'MIX_BIN_NEG_20', 'MIX_BIN_NEG_19', 'MIX_BIN_NEG_18', 'MIX_BIN_NEG_17',
               'MIX_BIN_NEG_16', 'MIX_BIN_NEG_15', 'MIX_BIN_NEG_14', 'MIX_BIN_NEG_13', 'MIX_BIN_NEG_12', 'MIX_BIN_NEG_11', 
               'MIX_BIN_NEG_10', 'MIX_BIN_NEG_09', 'MIX_BIN_NEG_08', 'MIX_BIN_NEG_07', 'MIX_BIN_NEG_06', 'MIX_BIN_NEG_05',
               'MIX_BIN_NEG_04', 'MIX_BIN_NEG_03', 'MIX_BIN_NEG_02', 'MIX_BIN_NEG_01', 'MIX_BIN_POS_00', 'MIX_BIN_POS_01',
               'MIX_BIN_POS_02', 'MIX_BIN_POS_03', 'MIX_BIN_POS_04', 'MIX_BIN_POS_05', 'MIX_BIN_POS_06', 'MIX_BIN_POS_07',
               'MIX_BIN_POS_08', 'MIX_BIN_POS_09', 'MIX_BIN_POS_10', 'MIX_BIN_POS_11', 'MIX_BIN_POS_12', 'MIX_BIN_POS_13',
               'MIX_BIN_POS_14', 'MIX_BIN_POS_15', 'MIX_BIN_POS_16', 'MIX_BIN_POS_17', 'MIX_BIN_POS_18', 'MIX_BIN_POS_19',
               'MIX_BIN_POS_20', 'MIX_BIN_POS_21', 'MIX_BIN_POS_22', 'MIX_BIN_POS_23', 'MIX_BIN_POS_24', 'MIX_BIN_POS_25',
               'MIX_BIN_POS_26', 'MIX_BIN_POS_27', 'MIX_BIN_POS_28', 'MIX_BIN_POS_29', 'MIX_BIN_POS_30', 'MIX_BIN_POS_31',
               'MIX_BIN_POS_32', 'MIX_BIN_POS_33', 'MIX_BIN_POS_34', 'MIX_BIN_POS_35', 'MIX_BIN_POS_36', 'MIX_BIN_POS_37',
               'MIX_BIN_POS_38', 'MIX_BIN_POS_39', 'MIX_BIN_POS_40', 'MIX_BIN_POS_41', 'MIX_BIN_POS_42', 'MIX_BIN_POS_43',
               'MIX_BIN_POS_44', 'MIX_BIN_POS_45', 'MIX_BIN_POS_46', 'MIX_BIN_POS_47', 'MIX_BIN_POS_48', 'MIX_BIN_POS_49',
               'MIX_BIN_POS_50', 'MIX_BIN_POS_51', 'MIX_BIN_POS_52', 'MIX_BIN_POS_53', 'MIX_BIN_POS_54', 'MIX_BIN_POS_55',
               'MIX_BIN_POS_56', 'MIX_BIN_POS_57', 'MIX_BIN_POS_58', 'MIX_BIN_POS_59', 'MIX_BIN_POS_60', 'MIX_BIN_POS_61',
               'MIX_BIN_POS_62', 'MIX_BIN_POS_63', 'MIX_BIN_POS_64', 'MIX_BIN_POS_65', 'MIX_BIN_POS_66', 'MIX_BIN_POS_67',
               'MIX_BIN_POS_68', 'MIX_BIN_POS_69', 'MIX_BIN_POS_70', 'MIX_BIN_POS_71', 'MIX_BIN_POS_72', 'MIX_BIN_POS_73',
               'MIX_BIN_POS_74', 'MIX_BIN_POS_75', 'MIX_BIN_POS_76', 'MIX_BIN_POS_77', 'MIX_BIN_POS_78', 'MIX_BIN_POS_79',
               'MIX_BIN_POS_80', 'MIX_BIN_POS_81', 'MIX_BIN_POS_82', 'MIX_BIN_POS_83', 'MIX_BIN_POS_84', 'MIX_BIN_POS_85',
               'MIX_BIN_POS_86', 'MIX_BIN_POS_87', 'MIX_BIN_POS_88', 'MIX_BIN_POS_89', 'MIX_BIN_POS_90', 'MIX_BIN_POS_91',
               'MIX_BIN_POS_92', 'MIX_BIN_POS_93', 'MIX_BIN_POS_94', 'MIX_BIN_POS_95', 'MIX_BIN_POS_96', 'MIX_BIN_POS_97',
               'MIX_BIN_POS_98', 'MIX_BIN_POS_99', 'MIX_BIN_POS_100', 'MIX_BIN_POS_101', 'MIX_BIN_POS_102', 'MIX_BIN_POS_103',
               'MIX_BIN_POS_104', 'MIX_BIN_POS_105', 'MIX_BIN_POS_106', 'MIX_BIN_POS_107', 'MIX_BIN_POS_108', 'MIX_BIN_POS_109',
               'MIX_BIN_POS_110', 'MIX_BIN_POS_111', 'MIX_BIN_POS_112', 'MIX_BIN_POS_113', 'MIX_BIN_POS_114', 'MIX_BIN_POS_115',
               'MIX_BIN_POS_116', 'MIX_BIN_POS_117', 'MIX_BIN_POS_118', 'MIX_BIN_POS_119', 'MIX_BIN_POS_120', 'MIX_BIN_POS_121',
               'MIX_BIN_POS_122', 'MIX_BIN_POS_123', 'MIX_BIN_POS_124', 'MIX_BIN_POS_125', 'MIX_BIN_POS_126', 'MIX_BIN_POS_127',
               'MIX_BIN_POS_128', 'MIX_BIN_POS_129', 'MIX_BIN_POS_130', 'MIX_BIN_POS_131', 'MIX_BIN_POS_132', 'MIX_BIN_POS_133',
               'MIX_BIN_POS_134', 'MIX_BIN_POS_135', 'MIX_BIN_POS_136', 'MIX_BIN_POS_137', 'MIX_BIN_POS_138', 'MIX_BIN_POS_139',
               'MIX_BIN_POS_140', 'MIX_BIN_POS_141', 'MIX_BIN_POS_142', 'MIX_BIN_POS_143', 'MIX_BIN_POS_144', 'MIX_BIN_POS_145', 
               'MIX_BIN_POS_146', 'MIX_BIN_POS_147', 'MIX_BIN_POS_148', 'MIX_BIN_POS_149', 'MIX_BIN_POS_150', 'MIX_BIN_POS_151', 
               'MIX_BIN_POS_152', 'MIX_BIN_POS_153', 'MIX_BIN_POS_154', 'MIX_BIN_POS_155'),

              'date': ('TRADEDATE', 'DATE_LABEL')}


oneqbitloader = OneQBitLoader()
